Documentation Index Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
API to send invoice by invoice id
POST https://services.leadconnectorhq.com/invoices/{invoiceId}/send
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion .
Version
string
default: "2021-07-28"
required
Version de la API.
Path parameters
invoiceId
string
default: "6578278e879ad2646715ba9c"
required
Invoice Id
Body
altId
string
default: "6578278e879ad2646715ba9c"
required
account Id / company Id based on altType
altType
string
default: "account"
required
Alt Type Posibles valores: ‘account’
userId
string
default: "6578278e879ad2646715ba9c"
required
Please ensure that the UserId corresponds to an authorized personnel, either by an employee ID or agency ID, to access this account. This account will serve as the primary channel for all future communications and updates.
Posibles valores: ‘sms_and_email’, ‘send_manually’, ‘email’, ‘sms’
sender details for invoice, valid only if invoice is not sent manually
auto-payment configuration
Respuestas
200 - Successful response
_id
string
default: "6578278e879ad2646715ba9c"
required
Invoice Id
status
string
default: "draft"
required
Invoice Status Posibles valores: ‘draft’, ‘sent’, ‘payment_processing’, ‘paid’, ‘void’, ‘partially_paid’
liveMode
boolean
default: "False"
required
Live Mode
amountPaid
number
default: "0"
required
Amount Paid
altId
string
default: "6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Posibles valores: ‘account’
name
string
default: "New Invoice"
required
Name of the invoice
invoiceNumber
number
default: "19"
required
Invoice Number
currency
string
default: "USD"
required
Currency
issueDate
string
default: "2023-01-01"
required
Issue date in YYYY-MM-DD format
dueDate
string
default: "2023-01-01"
required
Due date in YYYY-MM-DD format
total
number
default: "999"
required
Total Amount
title
string
default: "INVOICE"
required
Title
amountDue
number
default: "999"
required
Total Amount Due
createdAt
string
default: "2023-12-12T09:27:42.355Z"
required
created at
updatedAt
string
default: "2023-12-12T09:27:42.355Z"
required
updated at
Automatic taxes enabled for the Invoice
Is Automatic taxes calculated for the Invoice items
split invoice into payment schedule summing up to full invoice amount
{
"invoice" : {
"_id" : "6578278e879ad2646715ba9c" ,
"status" : "draft" ,
"liveMode" : false ,
"amountPaid" : 0 ,
"altId" : "6578278e879ad2646715ba9c" ,
"altType" : "account" ,
"name" : "New Invoice" ,
"businessDetails" : {
"name" : "Alex" ,
"address" : {
"addressLine1" : "9931 Beechwood" ,
"city" : "St. Houston" ,
"state" : "TX" ,
"countryCode" : "USA" ,
"postalCode" : "559-6993"
},
"phoneNo" : "+1-214-559-6993" ,
"website" : "www.example.com"
},
"invoiceNumber" : "19" ,
"currency" : "USD" ,
"contactDetails" : {
"id" : "c6tZZU0rJBf30ZXx9Gli" ,
"phoneNo" : "+1-214-559-6993" ,
"email" : "alex@example.com" ,
"customFields" : [],
"name" : "Alex" ,
"address" : {
"countryCode" : "US"
}
},
"issueDate" : "2023-01-01" ,
"dueDate" : "2023-01-01" ,
"discount" : {
"type" : "percentage" ,
"value" : 0
},
// truncado: 24 lineas mas
}
422 - Unprocessable Entity
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/invoices/YOUR_invoiceId/send' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"altId": "6578278e879ad2646715ba9c",
"altType": "account",
"userId": "6578278e879ad2646715ba9c",
"action": "sms_and_email",
"liveMode": true
}'